# Copyright © 2015 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or later.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=5

inherit base games

DESCRIPTION="English-language fork of ONScripter: a free clone of NScripter"
HOMEPAGE="http://unclemion.com/dev/projects/onscripter-en"

# This package has a hard dep on SDL_ttf-2.0.10, fonts do not work with
# 2.0.11.  Download that release specifically.
SRC_URI="http://unclemion.com/dev/attachments/download/36/$P-src.tar.bz2
	https://www.libsdl.org/projects/SDL_ttf/release/SDL_ttf-2.0.10.tar.gz
	"

LICENSE="GPL-2+ ZLIB"
SLOT="0"
KEYWORDS="~amd64"

DEPEND="app-arch/bzip2
	media-libs/libsdl
	media-libs/sdl-mixer[vorbis]
	media-libs/sdl-image
	media-libs/smpeg
	media-libs/freetype:2
	x11-libs/libXt
	"
RDEPEND=$DEPEND

PATCHES=(
	"$FILESDIR/$P-fix-configure.patch"
	"$FILESDIR/$PN-respect-CXXFLAGS.patch"
	)

src_configure() {
	einfo "Configuring SDL_ttf"
	cd "$WORKDIR/SDL_ttf-2.0.10" || die
	econf --prefix="$S/onscrlib" --libdir='${prefix}/lib' \
		--enable-static --disable-shared || die

	einfo "Configuring $PN"
	cd "$S" || die
	econf --unsupported-compiler \
		--onscrlib-path="$S" --with-internal-sdl-ttf
}

src_compile() {
	einfo "Building SDL_ttf"
	cd "$WORKDIR/SDL_ttf-2.0.10" || die
	emake noinst_PROGRAMS= install || die

	einfo "Building $PN"
	cd "$S" || die
	base_src_compile
}

src_install() {
	dodoc README

	dogamesbin onscripter-en
	prepgamesdirs
}
